## parrot-updater 1.3

=== Makefile ===
all:

clean:

install:
	mkdir -p $(DESTDIR)/usr/bin/
	mkdir -p $(DESTDIR)/usr/share/applications/
	mkdir -p $(DESTDIR)/etc/xdg/autostart/
	cp update-reminder.sh $(DESTDIR)/usr/bin/update-reminder
	cp parrot-updater.desktop $(DESTDIR)/etc/xdg/autostart/
	chown root:root $(DESTDIR)/usr/bin/update-reminder
	chown root:root $(DESTDIR)/etc/xdg/autostart/parrot-updater.desktop
	chmod 755 $(DESTDIR)/etc/xdg/autostart/parrot-updater.desktop

=== debian/changelog ===
parrot-updater (1.3) lory-updates; urgency=medium

  * Use mate-terminal by now
    + x-terminal-emulator might open incompatible shells

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Mon, 20 May 2024 14:13:21 +0200

parrot-updater (1.2) lory; urgency=medium

  * fix pkexec starter line.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Wed, 08 May 2024 19:34:50 +0200

parrot-updater (1.1) lory; urgency=medium

  * Rebuild package to bump version.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Wed, 08 May 2024 19:09:08 +0200

parrot-updater (1.0) lory; urgency=medium

  * Use pkexec for authentication.
  * Depend on parrot-core for parrot-upgrade binary.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Wed, 08 May 2024 19:02:21 +0200

parrot-updater (0.7) rolling-testing; urgency=medium

  * Use gksudo instead of gksu.
  * Re-try the upgrade if it fails once.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Sun, 07 Jun 2020 21:23:52 +0200

parrot-updater (0.6) rolling-testing; urgency=medium

  * Fix gksu parameters.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Fri, 05 Jun 2020 16:26:48 +0200

parrot-updater (0.5) rolling-testing; urgency=medium

  * Make the upgrade process fit one single step.

 -- Lorenzo "Palinuro" Faletra <palinuro@localhost.localdomain>  Sat, 04 Apr 2020 06:27:32 +0200

parrot-updater (0.4.3.1) testing; urgency=medium

  * Add apt-parrot 2.18+ as dependency.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Fri, 28 Dec 2018 16:24:23 +0100

parrot-updater (0.4.3) testing; urgency=medium

  * Drop parrot-upgrade command (now included in apt-parrot).

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Fri, 28 Dec 2018 16:10:39 +0100

parrot-updater (0.4.2) testing; urgency=medium

  * Update live-mode checker.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Thu, 30 Aug 2018 18:14:21 +0200

parrot-updater (0.4.1) testing; urgency=medium

  * Fix typo.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Fri, 11 May 2018 04:18:50 +0200

parrot-updater (0.4) testing; urgency=medium

  * Add dpkg interruption recovery.
  * Improve conflicts removal.
  * Add new auto-upgrade aliases.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Thu, 26 Apr 2018 13:56:11 +0200

parrot-updater (0.3.3) testing; urgency=medium

  * Add --fix-missing and --fix-broken

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Tue, 27 Mar 2018 18:34:35 +0200

parrot-updater (0.3.2) testing; urgency=medium

  * Allow package downgrades.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Sun, 25 Mar 2018 19:25:15 +0200

parrot-updater (0.3.1.1) testing; urgency=medium

  * Trigger package rebuild.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Mon, 11 Dec 2017 15:19:45 +0100

parrot-updater (0.3.1) testing; urgency=medium

  * Add bc dependency

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Mon, 03 Jul 2017 21:58:24 +0200

parrot-updater (0.3) testing; urgency=medium

  * Add dist-upgrade command
  * Show the upgrade progress in a terminal window

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Thu, 29 Jun 2017 17:45:04 +0200

parrot-updater (0.2) testing; urgency=medium

  * Fix launcher command

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Sun, 30 Apr 2017 21:25:33 +0200

parrot-updater (0.1) testing; urgency=medium

  * Initial release.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Sun, 30 Apr 2017 20:34:05 +0200

## parrot-updater 1.5

=== debian/changelog ===
parrot-updater (1.5) echo; urgency=medium

  * Check new squashfs location to detect live mode.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Thu, 04 Dec 2025 09:26:09 +0100

parrot-updater (1.4) echo; urgency=medium

  * Switch to x-terminal-emulator

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Thu, 04 Dec 2025 08:47:24 +0100

=== debian/control ===
Source: parrot-updater
Section: parrot
Priority: optional
Maintainer: Parrot Team <parrot-devel@lists.parrotsec.org>
Uploaders: Lorenzo "Palinuro" Faletra <palinuro@frozenbox.org>,
Standards-Version: 3.9.8
Build-Depends: debhelper (>= 9)
Build-Depends-Indep: pkg-config
Homepage: http://www.parrotsec.org/

Package: parrot-updater
Architecture: all
Priority: optional
Depends: bash, zenity, libnotify-bin, bc, parrot-core
Description: Parrot Updater
 Parrot Updater is a set of graphical tools
 to handle system updates and to show
 periodical update reminders.
 .
 Its main goal is that Parrot Updater is designed
 to never ask an online server for updates, and
 it is designed to work entirely offline.
 .
 This behavior was implemented to avoid
 unwanted network traffic when the system is in use
 in critical monitored networks, during security tests
 or when we don't want other people on the network
 to understand what distribution is in use by avoiding
 automatic calls to the repositories of a specifig GNU/Linux distribution.

## parrot-updater 2.0.1

=== debian/changelog ===
parrot-updater (2.0.1) echo; urgency=medium

  * Fix d/rules.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Thu, 18 Dec 2025 16:42:08 +0100

parrot-updater (2.0) echo; urgency=medium

  [ Dario Camonita ]
  * feat: first rust implementation
  * docs: add libs to install for compiling
  * refactor: handle stdout iteration with filter_map(Result::ok)
  * feat: replace deprecated notification logic (motify-rust) with GIO actions
  * fix: correct ApplicationHoldGuard usage in scheduled mode
  * fix: prevent GUI from being killed when notification is clicked
  * feat: use notify-rust instead of gio for dbus notifications
  * feat: update desktop entry
  * chore: set icon for parrot-updater.desktop
  * feat: add dynamic countdown formatting for next update check
  * feat: close main window when acknowledging successful update
  * fix: detach spawned GUI process from parent stdio
  * feat: use Duration::weeks() instead of minutes
  * feat: add utils.rs for utilities
  * feat: add updater.rs
  * feat: move scheduling and gui to separate files
  * feat: add std::process::{Command, Stdio}
  * feat: add About dialog with project metadata and contact info
  * feat: add logo for About dialog
  * feat: update debian files
  * feat: add vcs info in d/control

 -- Dario "danterolle" Camonita <danterolle@parrotsec.org>  Wed, 17 Dec 2025 20:49:42 +0000

## parrot-updater 2.0.3

=== debian/changelog ===
parrot-updater (2.0.3) echo; urgency=medium

  [ Dario Camonita ]
  * fix: prevent premature timestamp update on notification

 -- Dario "danterolle" Camonita <danterolle@parrotsec.org>  Thu, 08 Jan 2026 21:07:53 +0000

parrot-updater (2.0.2) echo; urgency=medium

  [ Dario Camonita ]
  * feat: improve live environment detection with additional checks

 -- Dario "danterolle" Camonita <danterolle@parrotsec.org>  Wed, 07 Jan 2026 13:10:45 +0000

=== debian/control ===
Source: parrot-updater
Section: parrot
Priority: optional
Maintainer: Dario "danterolle" Camonita <danterolle@parrotsec.org>
Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>,
Standards-Version: 4.7.0
Build-Depends: debhelper-compat (= 13),
               libgtk-4-dev,
               libdbus-1-dev,
               pkg-config,
               rustc,
               cargo
Homepage: http://www.parrotsec.org/
Vcs-Git: https://gitlab.com/parrotsec/packages/parrot-updater.git
Vcs-Browser: https://gitlab.com/parrotsec/packages/parrot-updater

Package: parrot-updater
Architecture: any
Priority: optional
Depends: ${shlibs:Depends},
         ${misc:Depends},
         parrot-core,
         pkexec
Description: Parrot Updater - system update manager
 Parrot Updater is a tool designed to handle system updates via a
 graphical interface and provide periodical update reminders.
 .
 Its main goal is to manage updates while 
 respecting privacy and network opsec. 
 .
 This behavior avoids unwanted network noise when the system is
 used in critical monitored networks or during security audits, 
 preventing third parties from identifying the OS through 
 repository polling.

=== debian/rules ===
#!/usr/bin/make -f

export HOME := $(shell pwd)

%:
	dh $@

override_dh_auto_build:
	cargo build --release

## parrot-updater 2.0.4

=== debian/changelog ===
parrot-updater (2.0.4) echo; urgency=medium

  * check for updates every 3 days

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Mon, 09 Feb 2026 02:14:20 +0100
